Get upload session status.
GET
/v1/uploads/{id}
const url = 'https://api.share2.us/v1/uploads/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.share2.us/v1/uploads/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”Upload session.
Media typeapplication/json
object
id
required
string
share_id
required
string
status
required
string
expected_size_bytes
required
integer format: int64
expected_sha256
string
created_at
required
string format: date-time
Example
{ "status": "created"}default
Section titled “default”Standard error envelope.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "quota_exceeded" }}